Bug 1097106 - Login page is shown for a while even when you are already logged in
Summary: Login page is shown for a while even when you are already logged in
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core UI
Version: 4.11
Hardware: Unspecified
OS: Unspecified
low
medium vote
Target Milestone: ---
: RHQ 4.12
Assignee: RHQ Project Maintainer
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-13 07:34 UTC by Filip Brychta
Modified: 2014-12-15 11:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-15 11:36:18 UTC


Attachments (Terms of Use)

Description Filip Brychta 2014-05-13 07:34:20 UTC
Description of problem:
$Summary

Version-Release number of selected component (if applicable):
Version :	
4.12.0-SNAPSHOT
Build Number :	
a3c6d72

How reproducible:
Always

Steps to Reproduce:
1. log in to your rhq server 
2. open a new browser tab and go to the url of your rhq server (http://<yourRHQserver>:7080)


Actual results:
A login page is shown for a while (~ 1-2 seconds) and then you are redirected to http://<yourRHQserver>:7080/coregui/

Expected results:
Login page should not be visible when you are already logged in.

Comment 1 Jirka Kremser 2014-05-15 12:50:09 UTC
A) It's not "~ 1-2 seconds" but couple milliseconds on my laptop

B) One should access "http://<yourRHQserver>:7080/coregui/" instead of "http://<yourRHQserver>:7080/" that contains a redirect to "http://<yourRHQserver>:7080/coregui/login" (that's why you see the login page for a moment)

C) It is a trade-off between the two following situations, lets call them I and II.


I. having this redirect as the current implementaion has, i.e. 
 * when not logged in it is 1 redirect (/ -> /coregui/login)
 * when logged in: 2 redirects (/ -> /coregui/login -> /coregui)

II. having it vice-versa, i.e.
 * when not logged in: 2 redirects (/ -> /coregui/ -> /coregui/login)
 * when logged in: 1 redirect (/ -> /coregui/)

I would appreciate any input here.

To some extent, I agree, it can be done by II scenario. Code-wise it is a 1 liner, but then there will be 2 redirects when user is not logged in. The login process is simply different as it was before, because there is a new pure-HTML page because of the PatternFly LnF.

Either way, I is a minor one.

Comment 2 Jirka Kremser 2014-05-15 13:01:40 UTC
The current impl. has 1 significant flaw that is the blue screen which blinks during the 2-redirects scenario.

The suggested approach (II) does the same, but the intermediate page is blank, so it is less evil to me.

Comment 3 Jirka Kremser 2014-05-15 13:05:16 UTC
branch:  master
link:    https://github.com/rhq-project/rhq/commit/5a3382f71
time:    2014-05-15 15:04:29 +0200
commit:  5a3382f71e34e8732ca61f7e53eff40a7347f351
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 1097106] - Login page is shown for a while even when you are already
         logged in - Redirecting from / to /coregui not to
         /coregui/login, because if user is logged in she sees the
         "blue-screen-of-login™"

Comment 4 Filip Brychta 2014-05-20 12:38:05 UTC
Verified on:
Version :	
4.12.0-SNAPSHOT
Build Number :	
494e428

Comment 5 Heiko W. Rupp 2014-12-15 11:36:18 UTC
Bulk close of items fixed in RHQ 4.12

If you think this is not solved, then please open a *new* BZ and link to this one.


Note You need to log in before you can comment on or make changes to this bug.